# JavadocTool

interface JavadocTool

Generates HTML API documentation for Java classes.

#### Since

6.7

## Functions

getExecutablePath
Link copied to clipboard
@Internal
abstract fun getExecutablePath(): RegularFile
Returns the path to the executable for this tool
getMetadata
Link copied to clipboard
abstract fun getMetadata(): JavaInstallationMetadata
Returns metadata information about this tool